<!-- Breadcrumb Start -->
<div class="container-m--x bredcrumb container-top" style="margin-top: -10px;">
    <div class="row px-4 f-14 lSpace" style="color: white;">
        <div class="col-md-5 d-flex">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span>
            <app-hint [id]="'app-store'"></app-hint>

            <span class="custom-breadcrumb cursor" (click)="goToEngineApps()">Intelligence Apps</span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span><span
                class="bluebar-title-overflow custom-breadcrumb">{{engine_title}}</span>
        </div>

        <div class="col-md-7 pr-0">
            <div class="float-right text-right d-flex">
                <!--  Data last updated -->
                <div class="mw-120" *ngIf="dash_info_list.length>0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(data_update_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-info-circle fa-lg"></i>
                        Data Last Updated
                    </button>
                </div>
                <!--  Data last updated -->
                <!--  Outline -->
                <div class="mw-120" *ngIf="cheery_structure?.outline_group?.length>0">
                    <app-hint [id]="'outline'"></app-hint>
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="outline_control()">
                        <i class="mr-1  custom-text-hover mw-25 las la-stream fa-lg"></i>
                        Outline
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Breadcrumb End -->
<!-- outline- control -->
<div [ngClass]="outLineAnim">
    <outline-control [outline_control]="cheery_structure.outline_group"
                     [activeState]="activeState"
                     [parent_group_name]="parent_group_name"
                     [scroll_to_index]="scroll_to_index"
                     [type]="'parent_child'"
                     (observe_event)="callback_function($event);"
                     *ngIf="show_outline_control"></outline-control>
</div>
<!-- Filter Section Start-->
<div class="container-m--x row one-row-data product-affinity align-items-center mb-5 px-5 hx-pro-px-1">
    <div class="col-md-3 px-5 hx-pro-px-1">
        <div class="f-22 fw-500 WSF text-gray33">{{engine_title}}</div>
        <div class="font-weight-normal f-14 text-gray77 mt-2">
            {{engine_description}}
        </div>
    </div>
    <div class="col-md-4 driver_inputs">
        <div class="label font-weight-normal WSF text-gray33 mb-1 f-18">Inputs</div>
        <div class="btn-group">
            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3  group-label mb-input-box  bg-white datePick">
                        <div class="d-flex">

                            <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                From Date</label>
                            <span style="cursor: pointer">
                                  <span (click)="fromdate.toggleCalendar()">
                                      <i class="las la-calendar fa-lg"></i>
                                  </span>
                              </span>
                        </div>
                        <div class="input-group ngx-data-ui cs-calendar">
                            <input
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                    placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate"
                                    ngx-mydatepicker #fromdate="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate"
                                    (click)="fromdate.toggleCalendar()"
                                    (dateChanged)="open_to_date()"
                                    (calendarToggle)="calendar_toggle($event, 'from')"
                                    style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box ml-2 bg-white datePick">
                        <div class="d-flex">

                            <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                To Date</label>
                            <span style="cursor: pointer">
                              <span (click)="todate.toggleCalendar()">
                                  <i class="las la-calendar fa-lg"></i>
                              </span>
                          </span>
                        </div>
                        <div class="input-group ngx-data-ui cs-calendar">
                            <input
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                    placeholder="choose a date" [options]="datePickerOptions" name="dptodate"
                                    ngx-mydatepicker #todate="ngx-mydatepicker" [(ngModel)]="input_filters.todate"
                                    (click)="todate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'to')"
                                    style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- <div class="label mb-1 f-18 pt-4 WSF">Select Stores</div>
        <div class="pt-1">
           
            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick"
                         style="width: 154px">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">Brands</span>
                        </label>
                        <div class="d-flex single-select-dropdown">
                            <ss-multiselect-dropdown [disabled]="brands.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="singleselect_settings" [texts]="multiselect_texts"
                                                     [options]="brands"
                                                     [(ngModel)]="input_filters.brands">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick"
                         style="width: 154px">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">Zones</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="product_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="singleselect_settings" [texts]="multiselect_texts"
                                                     [options]="product_list"
                                                     [(ngModel)]="input_filters.products">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->
    </div>
    <div class="col-md-5">
        <div class="single-reset-text">
            <span class="font-weight-normal WSF text-gray33 f-18">Inputs</span>
            <span class="fw-500 WSF f-14 show-all-input float-right pr-1 cursor"
                  (click)="openDialog(engine_filters, { windowClass: 'engine-right modal-slide ' })">Show All Inputs
                <i class="fa fa-caret-right f-10 show-all-input"></i>
            </span>
            <!-- <span class="text-gray99 WSF font-weight-normal f-14 pr-3 float-right cursor" (click)="reset_filters();">Reset</span> -->
            <!-- <div class="label mb-1 f-18  d-inline-block WSF">Inputs</div>
            <span class="fw-500 WSF f-14 show-all-input float-right pr-1 cursor mb-2" (click)="openDialog(engine_filters,{windowClass: 'engine-right modal-slide'})">Show All Inputs
                <i class="fa fa-caret-right f-10 show-all-input"></i>
            </span> -->
            <!-- <span class="text-gray99 WSF font-weight-normal f-14 float-right pr-3 mb-2 cursor" (click)="reset_filters();">Reset</span> -->
            <!-- <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline" (click)="reset_filters();">Reset
            </div> -->
        </div>

        <div class="pt-1">
            <!-- marketbasket filter -->
            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3 engine-input-box block-input-box group-label close-block filterBorder bg-white datePick"
                         style="width:auto">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">Customer Segment <span style="color: red;">*</span> </span>
                        </label>
                        <div class="d-flex single-select-dropdown">
                            <ss-multiselect-dropdown class="pcustom-multiselect-top-dropdown customsegmentationType"
                                                     [options]="custom_segment"
                                                     [settings]="custom_segment_single_select"
                                                     [texts]="multiselect_texts_select"
                                                     [(ngModel)]="input_filters.customer_segment">
                            </ss-multiselect-dropdown>
                            <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                        </div>
                    </div>
                </div>
                <div class="btnRun btnBottom">
                    <button class="btn btn-primary f-18 WSF run-btn" (click)="run_cheery_analysis();">Run Analysis
                    </button>
                </div>
            </div>
        </div>
        <!-- <div class="label mb-1 f-18 d-flex align-items-center reset-text f-18 pt-4">
            <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline"
                 (click)="reset_filters();">Reset
            </div>
        </div> -->
        <!-- <div class="pt-1">
       
            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">State</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="state_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="multiselect_settings" [texts]="multiselect_texts"
                                                     [options]="state_list"
                                                     (ngModelChange)="multiselect_store_change($event, 'state')"
                                                     [(ngModel)]="input_filters.states">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">Region</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="region_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="multiselect_settings" [texts]="multiselect_texts"
                                                     [options]="region_list"
                                                     (ngModelChange)="multiselect_store_change($event, 'region')"
                                                     [(ngModel)]="input_filters.regions">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                    placement="bottom">
                              </span>
                            <span class="text-gray77">Store</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="store_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="multiselect_settings" [texts]="multiselect_texts"
                                                     [options]="store_list"
                                                     [(ngModel)]="input_filters.stores">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                </div>
                <div class="btnRun btnBottom">
                    <button class="btn btn-primary f-18 WSF run-btn" (click)="run_cheery_analysis();">Run Analysis
                    </button>
                </div>
            </div>
        </div> -->
    </div>
</div>
<div class="row static_container1 pl-4 pr-2  f-16 bottom-shadow" style="color: white;" [class]="scrollclass">
    <div class="col-md-auto">
        <div class="text-gray55 d-flex align-items-center engine_toggle_logo">
            <img (click)="toggle_sidenav();" alt="Jarvix" class=" ml-1 mr-3" src="../../assets/imgs/hxlogo/hx_logo.svg"
                 style="width:30px;height:30px">
            <div class="f-20 text-nowrap ">
                <span class="mr-2">{{engine_title}}</span>
            </div>
        </div>
    </div>
    <div class="col d-flex justify-content-end">
        <app-hint [id]="'input-outline'"></app-hint>
        <div *ngFor="let sti_data of sticky_data;" class="d-flex mr-2 px-2 sticky-field-border">
            <div>
                <span class="text-gray77 f-10">{{sti_data.label}}</span>
                <div class="text-gray33 f-14 engine-sticky-text" position="bottom" [ngbPopover]="sti_data.pop"
                     triggers="mouseenter:mouseleave">{{sti_data.value}}</div>
            </div>
        </div>
        <div class="d-flex align-items-center">
            <button class="btn btn-primary align-items-center p-1 outline_btn" (click)="outline_control()">
                <i class="las la-stream f-20" style="padding-left: 1px;"></i>
            </button>
        </div>
    </div>
</div>
<!-- DriverAnalysis Section Ends -->
<!-- Driver Analysis Cards Start -->
<div class="mt-3" style="display: flex;flex-direction: column"
     *ngFor="let fg of cheery_structure?.outline_group;index as i"
     [ngClass]="i == cheery_structure?.outline_group.length - 2 ? 'last_card':''">
    <div style="flex-direction: row;display: flex;">
        <!-- buttons -->
        <app-hint [id]="'tab-lenses'" [hidden]="!fg?.show_button || fg.childs.length<2"></app-hint>
        <div class="col-sm-8 pr-0 ml-5" [hidden]="!fg?.show_button" [ngClass]="!fg.show_button? 'mb-2' : 'mb-0'"
             [perfectScrollbar] style="white-space: nowrap;">
            <button style="color: #777;" id="button_{{flow_child?.object_id}}" *ngFor="let flow_child of fg.childs;"
                    class="btn btn-primary box-shadow-none  mr-3 mb-2"
                    (click)="changeTile(flow_child,fg.childs, null)"
                    [ngClass]="{'btn-primary box-shadow-none': (flow_child?.is_expand === true && flow_child?.is_visible === true),
                        'btn-default borderless box-shadow-none engine-inactive-tab': flow_child?.is_expand !== true, 'display-none': fg?.childs?.length === 1}"
                    placement="top"
                    ngbTooltip="{{flow_child?.group_name === null ? flow_child?.title + '...': flow_child?.group_name}}">
                {{flow_child?.group_name === null ? flow_child?.title?.slice(0, 22) + '...' :
                flow_child?.group_name.slice(0, 22)}}
            </button>
        </div>
        <!-- dot based on length -->
        <div class="row ml-5" [hidden]="!fg?.show_dot">
            <app-hint [id]="'four-tabs'"></app-hint>
            <div class="col-sm-9 pr-0" style="display: flex;flex-direction: row;">
                <div *ngFor="let flow_child of fg.childs">
                    <button class="btn btn-xs btn-default" [hidden]="fg.childs.length === 1"
                            style="padding: 2px;width: 22px;background: #ccc;"></button>
                </div>
            </div>
        </div>
    </div>
    <div style="flex-direction: row;">
        <div class="w-100 flow-child-group" *ngFor="let flow_child of fg.childs;index as j">
            <!-- Normal view -->
            <div *ngIf="fg.display_in_same_row !== true">
                <flow-custom-segmentation [flow_group]="fg"
                                          (active_state)="active_state($event)"
                                          [flow_child]="flow_child"
                                          [hidden]="!flow_child.is_visible"
                                          [flow_index]="i"></flow-custom-segmentation>
            </div>
            <!-- display in a row -->
            <div *ngIf="fg.display_in_same_row === true">
                <flow-display-row [flow_group]="fg"
                                  (active_state)="active_state($event)"
                                  [flow_child]="flow_child"
                                  [hidden]="!flow_child.is_visible"
                                  [flow_index]="i"></flow-display-row>
            </div>
        </div>
    </div>
</div>
<!-- Driver Analysis Cards End -->

<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <engine-loader [loaderArr]="loaderService.loaderArr" *ngIf="loaderService.loaderArr && loaderService.loaderArr.length>0"></engine-loader>
    <div class="block-ui-template" *ngIf="!(loaderService.loaderArr.length>0)">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white">{{loadingText}} </p>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #data_update_modal let-c="close" let-d="dismiss">
    <!--<data-last-updated [dash_info_list]="dash_info_list" (data_event)="closeDialog();"></data-last-updated>-->
</ng-template>
<div class="end-div"></div>
<ng-template #engine_filters let-c="close" let-d="dismiss">
    <engine-filters (engine_filter_event)="engine_filter_callback($event);" [filter_inputs]="{
                      brand_list: brand_list,
                    zone_list: zone_list,
                    state_list:state_list,
                    region_list:region_list,
                    store_type_list:store_type_list,
                    city_list:city_list,
                    store_list:store_list,

                      custom_segment: custom_segment,
                      input_filters:input_filters,
                      multiselect_settings:multiselect_settings,
                      engine_inputs: engine_inputs_data.customer_segmentation_analysis,
                      multiselect_texts: multiselect_texts,
                      singleselect_settings: singleselect_settings}"></engine-filters>
</ng-template>
